summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlocalmb2md20
1 files changed, 20 insertions, 0 deletions
diff --git a/localmb2md b/localmb2md
new file mode 100755
index 0000000..c2739cf
--- /dev/null
+++ b/localmb2md
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+test -f /usr/bin/mb2md
+
+test ! -f ~/.procmailrc
+
+echo 'DEFAULT=$HOME/Maildir/' > ~/.procmailrc
+
+#FIXME: check spool file lock before reading the spool file
+
+if [ -f "/var/mail/$user" ]; then
+ mb2md -s mail -m
+ echo '' > "/var/mail/$user"
+fi
+
+mb2md -s mail
+
+mv ~/.mailboxlist ~/Maildir/.subscriptions